API Reference
Support Tickets
Customer support tickets.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/tickets API KeyGet tickets
Query parameters
| Status TicketStatus | — |
| Category TicketCategory | — |
| Search string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/tickets" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/tickets API KeyCreate tickets
Request body
application/json
{
"subject": "string",
"status": "open",
"priority": "low",
"category": "unspecified",
"assignedUserId": "00000000-0000-0000-0000-000000000000"
}| subject string | — |
| status TicketStatus | — |
| priority TicketPriority | — |
| category TicketCategory | — |
| assignedUserId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/tickets" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"subject": "string",
"status": "open",
"priority": "low",
"category": "unspecified",
"assignedUserId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/tickets/{ticketId} API KeyGet ticketId
Path parameters
| ticketIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/tickets/{ticketId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/tickets/{ticketId} API KeyUpdate ticketId
Path parameters
| ticketIdrequired string (uuid) | — |
Request body
application/json
{
"subject": "string",
"status": "open",
"priority": "low",
"category": "unspecified",
"assignedUserId": "00000000-0000-0000-0000-000000000000"
}| subject string | — |
| status TicketStatus | — |
| priority TicketPriority | — |
| category TicketCategory | — |
| assignedUserId string (uuid) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/tickets/{ticketId}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"subject": "string",
"status": "open",
"priority": "low",
"category": "unspecified",
"assignedUserId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/tickets/{ticketId} API KeyDelete ticketId
Path parameters
| ticketIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/tickets/{ticketId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu